Wire Docs

List PaymentIntents

GET
/v1/payment_intents

Authorization

bearerAuth
AuthorizationBearer <token>

API key as a bearer token (Authorization: Bearer sk_live_...).

In: header

Query Parameters

limit?integer
starting_after?string

Cursor — an object id; returns the page after it.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/payment_intents"
{
  "object": "list",
  "url": "string",
  "has_more": true,
  "data": [
    {
      "id": "string",
      "object": "payment_intent",
      "amount": 0,
      "currency": "string",
      "status": "new",
      "client_secret": "string",
      "automatic_operator": true,
      "allowed_operators": [
        "string"
      ],
      "selected_operator": "string",
      "next_action": {},
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "livemode": true,
      "created": 0,
      "expires_at": 0
    }
  ]
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "request_id": "string",
    "doc_url": "string",
    "operator_decline_code": "string"
  }
}